<?php

namespace Brikk\Includes\Src\Admin;

use \Brikk\Includes\Src\Request\Request;
use \Routiz\Inc\Src\Admin\Panel;

class Theme_Settings {

    use \Brikk\Includes\Src\Traits\Singleton;

    function __construct() {

        if( function_exists('routiz') ) {

            // add settings page to rz_listing
            add_action( 'admin_menu' , [ $this, 'add_menu_page' ] );

            // update settings
            add_action( 'brikk/admin/update_theme_settings', [ $this, 'update_theme_settings' ] );

        }

    }

    public function enqueue_menu_scripts() {
        Panel::instance();
    }

    public function add_menu_page() {

        add_action( sprintf( 'load-%s',
            add_menu_page(
                esc_html__( 'Theme Settings', 'brikk' ),
                esc_html__( 'Theme Settings', 'brikk' ),
                'manage_options',
                'brk_theme_settings',
                [ $this, 'settings_page_output' ],
                'dashicons-admin-generic',
                30
            )),
            [ $this, 'enqueue_menu_scripts' ]
        );

    }

    public function settings_page_output() {

        if( isset( $_POST ) and ! empty( $_POST ) ) {
            do_action('brikk/admin/update_theme_settings');
        }

        Rz()->the_template('admin/theme-settings/theme-settings');

    }

    public function update_theme_settings() {

        if( isset( $_POST ) and ! empty( $_POST ) ) {

            foreach( $_POST as $id => $value ) {
                if( substr( $id, 0, 3 ) == 'rz_' ) {
                    update_option(
                        $id,
                        $value
                    );
                }
            }
        }
    }
}
