<?php

namespace Routiz\Inc\Src\Admin\Http\Endpoints;

use \Routiz\Inc\Src\Request\Request;

if ( ! defined('ABSPATH') ) {
	exit;
}

class Endpoint_Trigger_Webhook extends Endpoint {

	public $action = 'rz_trigger_webhook';

    public function action() {

		$request = Request::instance();

		$webhook_id = $request->get('webhook_id');
		$webhook_url = $request->get('webhook_url');

        // check url
        if( empty( $webhook_url ) or filter_var( $webhook_url, FILTER_VALIDATE_URL ) === false ) {
            return;
        }

		if( $webhook_id == 'reservation_webhook' ) {
			$data = [
	            'guests' => 3,
	            'checkin' => strtotime('+1 day'),
	            'checkout' => strtotime('+2 days'),
	            'email' => 'example@email.com',
	            'name' => 'John Doe',
	            'first_name' => 'John',
	            'last_name' => 'Doe',
	            'billing_first_name' => 'John',
	            'billing_last_name' => 'Doe',
	            'billing_email' => 'example@email.com',
	            'billing_phone' => '999 999 999',
	            'billing_country' => 'SP',
	            'billing_city' => 'Barcelona',
	            'billing_postcode' => '08800',
	        ];
		}else{
			$data = [
	            'email' => 'example@email.com',
	            'name' => 'John Doe',
	            'first_name' => 'John',
	            'last_name' => 'Doe',
	            'billing_first_name' => 'John',
	            'billing_last_name' => 'Doe',
	            'billing_email' => 'example@email.com',
	            'billing_phone' => '999 999 999',
	            'billing_country' => 'SP',
	            'billing_city' => 'Barcelona',
	            'billing_postcode' => '08800',
	        ];
		}

        $ch = curl_init( $webhook_url );
        curl_setopt( $ch, CURLOPT_HTTPHEADER, [
            'Content-type: application/json'
        ]);
        curl_setopt( $ch, CURLOPT_POST, 1);
        curl_setopt( $ch, CURLOPT_POSTFIELDS, json_encode( $data, JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE ));
        curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt( $ch, CURLOPT_HEADER, 0);
        curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1);

        $response = curl_exec( $ch );

        curl_close( $ch );

		wp_send_json([
			'success' => true,
			'output' => $response
		]);

	}

}
