<?php

namespace Routiz\Inc\Src\Notification\Notifications;

class Message_Received extends \Routiz\Inc\Src\Notification\Base {

    public $user_can_manage = true;

    /*
     * general
     *
     */
    public function get_id() {
        return 'message-received';
    }

    public function get_name() {
        return esc_html__('New message received', 'routiz');
    }

    /*
     * email
     *
     */
    public function get_email_subject() {
        return esc_html__( 'You have received a new message', 'routiz' );
    }

    public function get_email_template() {
        return esc_html__( "Hello {name},\r\n\r\nYou have received a new message.", 'routiz' );
    }

    /*
     * email admin
     *
     */
    public function get_email_admin_subject() {
        return esc_html__( 'A new message was sent', 'routiz' );
    }

    public function get_email_admin_template() {
        return esc_html__( "Hello,\r\n\r\nA new message was sent", 'routiz' );
    }

    /*
     * site
     *
     */
    public function get_site_icon() {
        return 'material-icon-chat';
    }

    public function get_site_message() {

        $sender_name = null;
        if( $this->meta ) {
            $userdata = get_userdata( $this->meta );
            if( $userdata ) {
                $sender_name = $userdata->display_name;
            }
        }

        return $sender_name ? sprintf( esc_html__( 'You have received a new message from %s', 'routiz' ), $sender_name ) : esc_html__( 'You have received a new message', 'routiz' );
    }

    public function get_site_url() {
        return wc_get_account_endpoint_url( 'messages' );
    }

}
