<?php

namespace Routiz\Inc\Src\Notification\Notifications;

class New_Application extends \Routiz\Inc\Src\Notification\Base {

    public $user_can_manage = true;

    /*
     * general
     *
     */
    public function get_id() {
        return 'new-application';
    }

    public function get_name() {
        return esc_html__('New application has been received', 'routiz');
    }

    /*
     * email
     *
     */
    public function get_email_subject() {
        return esc_html__( 'New application has been received', 'routiz' );
    }

    public function get_email_template() {
        return esc_html__( "Hello {name},\r\n\r\nNew application has been received", 'routiz' );
    }

    /*
     * email admin
     *
     */
    public function get_email_admin_subject() {
        return esc_html__( 'New application has been sent', 'routiz' );
    }

    public function get_email_admin_template() {
        return esc_html__( "Hello,\r\n\r\nNew application has been sent", 'routiz' );
    }

    /*
     * site
     *
     */
    public function get_site_icon() {
        return 'material-icon-library_books';
    }

    public function get_site_message() {
        return esc_html__( 'New application has been received', 'routiz' );
    }

    public function get_site_url() {
        return wc_get_account_endpoint_url( 'entries' );
    }

}
