<?php

defined('ABSPATH') || exit;

$meta = Rz()->get_meta( 'rz_custom_icon_set', get_the_ID() );
$has_icons = isset( $meta['icons'] ) and ! empty( $meta['icons'] ) and is_array( $meta['icons'] );
$post_status = get_post_status();

?>

<div class="rz-outer">
    <div class="rz-panel rz-ml-auto rz-mr-auto">

        <div class="rz-content">
            <section class="rz-sections">
                <aside class="rz-section">

                    <div class="rz-upload-inline <?php if( $has_icons ) { echo 'rz-none'; } ?>">

                        <label class="rz--label rz-none" for="input-upload"></label>
                        <input type="file" id="input-upload" class="rz-none rz--file" accept="zip,application/zip,application/x-zip,application/x-zip-compressed">

                        <div>
                            <div class="upload-cover-drag">
                                <div class="rz--inner">
                                    <div class="rz--icon">
                                        <i class="fas fa-upload"></i>
                                    </div>
                                    <?php if( $post_status !== 'publish' ): ?>
                                        <div class="rz--content">
                                            <p><?php esc_html_e( 'First you need to publish the post', 'routiz' ); ?></p>
                                    <?php else: ?>
                                        <div class="rz--content">
                                            <p class="rz-mb-0"><?php echo sprintf( esc_html__( 'Upload icon set generated by %s', 'routiz' ), '<a href="https://icomoon.io/app/" target="_blank">' . esc_html__('Icomoon App', 'routiz') . '</a>' ); ?></p>
                                            <p><?php esc_html_e( 'Important: Every custom icon set generated by the Icomoon App needs a unique font name and CSS class prefix in order to work properly.', 'routiz' ); ?></p>
                                        </div>
                                        <div>
                                            <a href="#" class="rz-button">
                                                <span><?php esc_html_e( 'Select File', 'routiz' ); ?></span>
                                                <?php Rz()->preloader() ?>
                                            </a>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="upload-thumbs">
                            <ul>
                                <li>
                                    <span class="upload-background"><a href="#" class="upload-remove"><i class="icon icon-close-circle-bold"></i></a></span>
                                    <i class="icon icon-image"></i>
                                </li>
                                <li>
                                    <span class="upload-background"><a href="#" class="upload-remove"><i class="icon icon-close-circle-bold"></i></a></span>
                                    <i class="icon icon-image"></i>
                                </li>
                                <li>
                                    <span class="upload-background"><a href="#" class="upload-remove"><i class="icon icon-close-circle-bold"></i></a></span>
                                    <i class="icon icon-image"></i>
                                </li>
                                <li>
                                    <span class="upload-background"><a href="#" class="upload-remove"><i class="icon icon-close-circle-bold"></i></a></span>
                                    <i class="icon icon-image"></i>
                                </li>
                                <li>
                                    <span class="upload-background"><a href="#" class="upload-remove"><i class="icon icon-close-circle-bold"></i></a></span>
                                    <i class="icon icon-image"></i>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <?php if( $has_icons ): ?>
                        <div class="rz-icons-inline">
                            <p class="rz-mb-0">
                                <a href="#" class="rz-reload-set"><?php esc_html_e( 'Reload icon set', 'routiz' ); ?></a>
                            </p>
                            <p class="rz-mb-0"><?php echo sprintf( esc_html__( 'Icons: %s', 'routiz' ), count( $meta['icons'] ) ); ?></p>
                            <p class="rz-mb-1"><?php echo sprintf( esc_html__( 'Prefix: %s', 'routiz' ), esc_attr( $meta['prefix'] ) ); ?></p>
                            <ul>
                                <?php foreach( $meta['icons'] as $key => $icon ): ?>
                                    <li title="<?php echo esc_attr( $icon ); ?>"><i class="<?php echo esc_attr( $meta['prefix'] . ' ' . $meta['prefix'] . $icon ); ?>"></i></li>
                                <?php endforeach; ?>
                            </ul>
                        </div>
                    <?php endif; ?>

                </aside>
            </section>
        </div>
    </div>
</div>
