<?php

use \Routiz\Inc\Src\Entry\Component as Entry;

defined('ABSPATH') || exit;

$panel = \Routiz\Inc\Src\Admin\Panel::instance();
$panel->form->set( $panel->form::Storage_Meta );

?>

<div class="rz-outer">
    <div class="rz-panel rz-ml-auto rz-mr-auto">

        <div class="rz-content">
            <section class="rz-sections">
                <aside class="rz-section">
                    <div class="rz-form">
                        <div class="rz-grid">

                            <?php

                                $panel->form->render([
                                    'id' => 'listing_type',
                                    'type' => 'listing_types',
                                    'name' => esc_html__( 'Select Listing Type ( Optional )', 'routiz' ),
                                    'description' => esc_html__( 'Select listing type where to point the search filter', 'routiz' ),
                                    'return_ids' => false
                                ]);

                                $search_filters = \Routiz\Templates\Admin\Metabox\Filters::get_fields('search_fields');

                                $panel->form->render( $search_filters );

                                $panel->form->render([
                                    'type' => 'heading',
                                    'name' => esc_html__( 'Listing Type Filter Options', 'routiz' ),
                                    'description' => esc_html__( 'The options below will affect only the listing type filters inside explore page.', 'routiz' ),
                                    'value' => 12,
                                ]);

                                $panel->form->render([
                                    'type' => 'checkbox',
                                    'id' => 'search_fields_has_more',
                                    'name' => esc_html__( 'Enable more filters', 'routiz' ),
                                    'description' => esc_html__( 'More filters will appear only in the listing explore page.', 'routiz' ),
                                ]);

                                $panel->form->render( array_merge( $search_filters, [
                                    'id' => 'search_fields_more',
                                    'name' => esc_html__( 'More filters', 'routiz' ),
                                    'dependency' => [
                                        'id' => 'search_fields_has_more',
                                        'compare' => '=',
                                        'value' => true,
                                        'style' => 'rz-opacity-30',
                                    ],
                                ]));

                            ?>

                        </div>
                    </div>
                </aside>
            </section>
        </div>

    </div>
</div>
