<?php

defined('ABSPATH') || exit;

use \Routiz\Inc\Src\Form\Component as Form;

?>

<div class="rz-outer">
    <form method="post" autocomplete="nope">

        <div class="rz-meta-container rz-container-left">
            <h1><?php esc_html_e( 'Settings', 'routiz' ); ?></h1>
        </div>

        <div class="rz-panel rz-loading" id="rz-panel" data-tab-start="general/units" :class="{ 'rz-ready' : ready }">

            <input type="hidden" name="routiz_current_tab" v-bind:value="tab">

            <div class="rz-header">

                <div class="rz--brand">
                    <h3 class="rz--name"><?php esc_html_e( 'Routiz', 'routiz' ); ?></h3>
                </div>

                <nav class="rz-nav">
                    <ul>

                        <li :class="{ 'rz-active': tabMain == 'general' }">
                            <a href="#" v-on:click.prevent="tabClick('general/units')">
                                <?php esc_html_e( 'General', 'routiz' ); ?>
                            </a>
                        </li>
                        <li :class="{ 'rz-active': tabMain == 'listings' }">
                            <a href="#" v-on:click.prevent="tabClick('listings/taxonomies')">
                                <?php esc_html_e( 'Listings', 'routiz' ); ?>
                            </a>
                        </li>
                        <li :class="{ 'rz-active': tabMain == 'explore' }">
                            <a href="#" v-on:click.prevent="tabClick('explore/general')">
                                <?php esc_html_e( 'Explore', 'routiz' ); ?>
                            </a>
                        </li>
                        <li :class="{ 'rz-active': tabMain == 'integration' }">
                            <a href="#" v-on:click.prevent="tabClick('integration/maps')">
                                <?php esc_html_e( 'Integration', 'routiz' ); ?>
                            </a>
                        </li>

                    </ul>
                </nav>

                <div class="rz--docs">
                    <!-- <a href="#" target="_blank">
                        <i class="fas fa-book"></i>
                        <span class="rz-ml-1"><?php esc_html_e( 'User Guide', 'routiz' ); ?></span>
                    </a> -->
                </div>

            </div> <!-- rz-header -->

            <div class="rz-sub-navs">

                <!-- general -->
                <ul class="rz-sub-nav rz-bg" v-if="tabMain == 'general'">
                    <li :class="{ 'rz-active': tabSub == 'units' }">
                        <a href="#" v-on:click.prevent="tabClick('general/units')">
                            <?php esc_html_e( 'Units', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'pages' }">
                        <a href="#" v-on:click.prevent="tabClick('general/pages')">
                            <?php esc_html_e( 'Pages', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'social' }">
                        <a href="#" v-on:click.prevent="tabClick('general/social')">
                            <?php esc_html_e( 'Social', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'payouts' }">
                        <a href="#" v-on:click.prevent="tabClick('general/payouts')">
                            <?php esc_html_e( 'Payouts', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'dev' }">
                        <a href="#" v-on:click.prevent="tabClick('general/dev')">
                            <?php esc_html_e( 'Development', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'notifications' }">
                        <a href="#" v-on:click.prevent="tabClick('general/notifications')">
                            <?php esc_html_e( 'Notifications', 'routiz' ); ?>
                        </a>
                    </li>
                </ul>

                <!-- listings -->
                <ul class="rz-sub-nav rz-bg" v-if="tabMain == 'listings'">
                    <li :class="{ 'rz-active': tabSub == 'taxonomies' }">
                        <a href="#" v-on:click.prevent="tabClick('listings/taxonomies')">
                            <?php esc_html_e( 'Taxonomies', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'social' }">
                        <a href="#" v-on:click.prevent="tabClick('listings/social')">
                            <?php esc_html_e( 'Social', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'submission' }">
                        <a href="#" v-on:click.prevent="tabClick('listings/submission')">
                            <?php esc_html_e( 'Submission', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'booking' }">
                        <a href="#" v-on:click.prevent="tabClick('listings/booking')">
                            <?php esc_html_e( 'Booking', 'routiz' ); ?>
                        </a>
                    </li>
                </ul>

                <!-- explore -->
                <ul class="rz-sub-nav rz-bg" v-if="tabMain == 'explore'">
                    <li :class="{ 'rz-active': tabSub == 'general' }">
                        <a href="#" v-on:click.prevent="tabClick('explore/general')">
                            <?php esc_html_e( 'General', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'styles' }">
                        <a href="#" v-on:click.prevent="tabClick('explore/styles')">
                            <?php esc_html_e( 'Styles', 'routiz' ); ?>
                        </a>
                    </li>
                </ul>

                <!-- integration -->
                <ul class="rz-sub-nav rz-bg" v-if="tabMain == 'integration'">
                    <li :class="{ 'rz-active': tabSub == 'maps' }">
                        <a href="#" v-on:click.prevent="tabClick('integration/maps')">
                            <?php esc_html_e( 'Maps', 'routiz' ); ?>
                        </a>
                    </li>
                    <li :class="{ 'rz-active': tabSub == 'auth' }">
                        <a href="#" v-on:click.prevent="tabClick('integration/auth')">
                            <?php esc_html_e( 'Auth', 'routiz' ); ?>
                        </a>
                    </li>
                </ul>

            </div>

            <div class="rz-content">

                <section class="rz-sections" :class="{'rz-none': tabMain !== 'general'}">

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'units'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'General', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form = new Form( Form::Storage_Option );

                                    $form->render([
                                        'type' => 'key',
                                        'id' => 'listing_slug',
                                        'name' => esc_html__('Listing Slug', 'routiz'),
                                        'description' => esc_html__('You need to re-save the permalink format after changing this option in order to apply the slug correctly', 'routiz'),
                                        'placeholder' => 'listing',
                                        'defined' => false,
                                    ]);

                                    $form->render([
                                        'type' => 'select',
                                        'id' => 'currency_place',
                                        'name' => esc_html__('Currency Place', 'routiz'),
                                        'options' => [
                                            'left' => 'Left',
                                            'right' => 'Right',
                                        ],
                                        'value' => 'left',
                                        'allow_empty' => false,
                                        'col' => 6
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'currency_symbol',
                                        'name' => esc_html__('Currency Symbol', 'routiz'),
                                        'value' => '$',
                                        'col' => 6
                                    ]);

                                    $form->render([
                                        'type' => 'select',
                                        'id' => 'measure_system',
                                        'name' => esc_html__('Measuring System', 'routiz'),
                                        'value' => 'imperial',
                                        'options' => [
                                            'imperial' => esc_html__('British Imperial System ( Miles )', 'routiz'),
                                            'metric' => esc_html__('Metric System ( Kilometers )', 'routiz'),
                                        ],
                                        'allow_empty' => false
                                    ]);

                                    $form->render([
                                        'type' => 'select',
                                        'id' => 'weekends',
                                        'name' => esc_html__('Select the days to apply weekend pricing', 'routiz'),
                                        'value' => 'imperial',
                                        'options' => [
                                            'sat_sun' => esc_html__('Saturday and Sunday', 'routiz'),
                                            'sun_mon' => esc_html__('Sunday and Monday', 'routiz'),
                                            'fri_sat' => esc_html__('Friday and Saturday', 'routiz'),
                                            'fri_sat_sun' => esc_html__('Friday, Saturday and Sunday', 'routiz'),
                                        ],
                                        'allow_empty' => false
                                    ]);

                                    $form->render([
                                        'type' => 'select',
                                        'id' => 'decimals',
                                        'name' => esc_html__('Number Format Decimals', 'routiz'),
                                        'value' => 2,
                                        'options' => [
                                            0 => 0,
                                            1 => 1,
                                            2 => 2,
                                        ],
                                        'allow_empty' => false,
                                        'col' => 4
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'decimal_separator',
                                        'name' => esc_html__('Number Format Decimal Separator', 'routiz'),
                                        'value' => '.',
                                        'col' => 4
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'thousands_separator',
                                        'name' => esc_html__('Number Format Thousands Separator', 'routiz'),
                                        'value' => ',',
                                        'col' => 4
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'pages'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Pages', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form->render([
                                        'type' => 'select2',
                                        'id' => 'page_explore',
                                        'name' => esc_html__('Explore Page', 'routiz'),
                                        'options' => [
                                            'query' => [
                                                'post_type' => 'page',
                                                'posts_per_page' => -1,
                                            ]
                                        ]
                                    ]);

                                    $form->render([
                                        'type' => 'select2',
                                        'id' => 'page_submission',
                                        'name' => esc_html__('Submission Page', 'routiz'),
                                        'options' => [
                                            'query' => [
                                                'post_type' => 'page',
                                                'posts_per_page' => -1,
                                            ]
                                        ]
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'social'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Social', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form->render([
                                        'type' => 'checkbox',
                                        'id' => 'enable_social_icons',
                                        'name' => esc_html__('Enable Social Icons', 'routiz'),
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'social_fb',
                                        'name' => esc_html__('Facebook Link', 'routiz'),
                                        'dependency' => [
                                            'id' => 'enable_social_icons',
                                            'value' => true,
                                            'compare' => '=',
                                        ]
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'social_tw',
                                        'name' => esc_html__('Twitter Link', 'routiz'),
                                        'dependency' => [
                                            'id' => 'enable_social_icons',
                                            'value' => true,
                                            'compare' => '=',
                                        ]
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'social_yt',
                                        'name' => esc_html__('YouTube Link', 'routiz'),
                                        'dependency' => [
                                            'id' => 'enable_social_icons',
                                            'value' => true,
                                            'compare' => '=',
                                        ]
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'social_dr',
                                        'name' => esc_html__('Dribbble', 'routiz'),
                                        'dependency' => [
                                            'id' => 'enable_social_icons',
                                            'value' => true,
                                            'compare' => '=',
                                        ]
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'social_in',
                                        'name' => esc_html__('Instagram', 'routiz'),
                                        'dependency' => [
                                            'id' => 'enable_social_icons',
                                            'value' => true,
                                            'compare' => '=',
                                        ]
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'payouts'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Payouts', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form->render([
                                        'type' => 'checkbox',
                                        'id' => 'enable_payouts',
                                        'name' => esc_html__('Enable Payouts', 'routiz'),
                                    ]);

                                    $form->render([
                                        'type' => 'checklist',
                                        'id' => 'payout_methods',
                                        'name' => esc_html__('Payout Methods', 'routiz'),
                                        'value' => [],
                                        'options' => [
                                            'paypal' => 'PayPal',
                                            'bank_transfer' => 'Direct Bank Transfer',
                                        ],
                                        'dependency' => [
                                            'id' => 'enable_payouts',
                                            'value' => 1,
                                            'compare' => '=',
                                            'style' => 'rz-opacity-30',
                                        ],
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'dev'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Development', 'routiz' ); ?></h3>
                        </div>

                        <div class="rz-form">
                            <div class="rz-grid">
                                <div class="rz-form-group rz-col-12">
                                    <div class="rz-development">
                                        <div class="rz--export">
                                            <a href="#" class="rz-button" data-action="dev-export-options">
                                                <span><?php esc_html_e( 'Export Options', 'routiz' ); ?></span>
                                                <?php Rz()->preloader(); ?>
                                            </a>
                                        </div>
                                        <div class="rz--output">
                                            <!-- // -->
                                        </div>
                                    </div>
                                </div>
                                <div class="rz-form-group rz-col-12 rz-none" id="rz-input-options-export">
                                    <div class="rz-heading">
                                        <label class="rz-ellipsis"><?php esc_html_e( 'Options Export JSON', 'routiz' ); ?></label>
                                    </div>
                                    <textarea type="text"></textarea>
                                </div>
                            </div>
                        </div>

                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'notifications'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Notifications', 'routiz' ); ?></h3>
                            <p><?php esc_html_e( 'Here you can manage site notifications email templates and webhooks', 'routiz' ); ?></p>
                        </div>

                        <?php $notifications = new \DirectoryIterator( RZ_PATH . 'inc/src/notification/notifications'); ?>

                        <div class="rz-settings-split">
                            <div class="rz--sidebar">
                                <ul>
                                    <?php $active = false; foreach( $notifications as $file ): if( $file->isDot() ) { continue; } ?>
                                            <li <?php if( ! $active ) { echo 'class="rz--active"'; } ?> data-for="<?php echo esc_attr( $file->getBasename( '.' .$file->getExtension() ) ); ?>">
                                                <a href="#">
                                                    <?php echo esc_html( ucfirst( str_replace( '-', ' ', $file->getBasename( '.' .$file->getExtension() ) ) ) ); ?>
                                                </a>
                                            </li>
                                        <?php $active = true; ?>
                                    <?php endforeach; ?>
                                </ul>
                            </div>
                            <div class="rz--content">

                                <div class="rz-form">
                                    <?php $active = false; foreach( $notifications as $file ): ?>

                                        <?php

                                            $name = $file->getBasename( '.' .$file->getExtension() );
                                            $namespace = sprintf( '\Routiz\Inc\Src\Notification\Notifications\%s', str_replace( '-', '_', $name ) );

                                            // notification not found
                                            if( ! class_exists( $namespace ) ) {
                                                continue;
                                            }

                                            if( $file->isDot() ) {
                                                continue;
                                            }

                                        ?>

                                        <div class="rz--section<?php if( ! $active ) { echo ' rz--active'; } ?>" data-id="<?php echo esc_attr( $file->getBasename( '.' .$file->getExtension() ) ); ?>">
                                            <div class="rz-grid">
                                                <?php

                                                    $name = $file->getBasename( '.' .$file->getExtension() );
                                                    $namespace = sprintf( '\Routiz\Inc\Src\Notification\Notifications\%s', str_replace( '-', '_', $name ) );
                                                    $email = new $namespace;
                                                    $id = $email->get_id();

                                                    echo '<div class="rz-col-12"><h3>' . esc_html( ucfirst( str_replace( '-', ' ', $file->getBasename( '.' .$file->getExtension() ) ) ) ) . '</h3></div>';

                                                    $form->render([
                                                        'type' => 'checkbox',
                                                        'id' => sprintf('is_notification_site_%s', $id ),
                                                        'name' => esc_html__('Site Notification', 'routiz'),
                                                        'html' => [
                                                            'text' => esc_html__( 'Enable', 'routiz' )
                                                        ],
                                                    ]);

                                                    $form->render([
                                                        'type' => 'checkbox',
                                                        'id' => sprintf('is_notification_email_%s', $id ),
                                                        'name' => esc_html__('Email', 'routiz'),
                                                        'html' => [
                                                            'text' => esc_html__( 'Enable', 'routiz' )
                                                        ],
                                                    ]);

                                                    $email_template = $form->create([
                                                        'type' => 'textarea',
                                                        'id' => sprintf('notification_email_template_%s', $id ),
                                                        'name' => esc_html__('Email Template', 'routiz'),
                                                        'dependency' => [
                                                            'id' => sprintf('is_notification_email_%s', $id ),
                                                            'value' => true,
                                                            'compare' => '=',
                                                        ],
                                                    ]);

                                                    if( empty( $email_template->props->value ) ) {
                                                        $email_template->props->value = $email->get_email_admin_template();
                                                    }

                                                    echo $email_template->get();

                                                    $form->render([
                                                        'type' => 'checkbox',
                                                        'id' => sprintf('is_notification_email_admin_%s', $id ),
                                                        'name' => esc_html__('Email Admin', 'routiz'),
                                                        'html' => [
                                                            'text' => esc_html__( 'Enable', 'routiz' )
                                                        ],
                                                    ]);

                                                    $email_template_admin = $form->create([
                                                        'type' => 'textarea',
                                                        'id' => sprintf('notification_email_template_admin_%s', $id ),
                                                        'name' => esc_html__('Admin Email Template', 'routiz'),
                                                        'dependency' => [
                                                            'id' => sprintf('is_notification_email_admin_%s', $id ),
                                                            'value' => true,
                                                            'compare' => '=',
                                                        ],
                                                    ]);

                                                    if( empty( $email_template_admin->props->value ) ) {
                                                        $email_template_admin->props->value = $email->get_email_admin_template();
                                                    }

                                                    echo $email_template_admin->get();

                                                    $form->render([
                                                        'type' => 'checkbox',
                                                        'id' => sprintf('is_notification_webhook_%s', $id ),
                                                        'name' => esc_html__('Webhook', 'routiz'),
                                                        'html' => [
                                                            'text' => esc_html__( 'Enable', 'routiz' )
                                                        ],
                                                    ]);

                                                    $form->render([
                                                        'type' => 'heading',
                                                        'description' => esc_html__("What data will be sent to the webhook:\r\n\r\nemail\r\nname\r\nfirst_name\r\nlast_name\r\nbilling_first_name\r\nbilling_last_name\r\nbilling_email\r\nbilling_phone\r\nbilling_country\r\nbilling_city\r\nbilling_postcode", 'routiz'),
                                                        'dependency' => [
                                                            'id' => sprintf('is_notification_webhook_%s', $id ),
                                                            'value' => true,
                                                            'compare' => '=',
                                                        ],
                                                        'class' => [
                                                            'rz-mb-0'
                                                        ]
                                                    ]);

                                                    $form->render([
                                                        'type' => 'text',
                                                        'id' => sprintf('notification_webhook_url_%s', $id ),
                                                        'name' => esc_html__('Webhook URL', 'routiz'),
                                                        'dependency' => [
                                                            'id' => sprintf('is_notification_webhook_%s', $id ),
                                                            'value' => true,
                                                            'compare' => '=',
                                                        ],
                                                    ]);

                                                    ?>

                                                    <div class="rz-form-group rz-field rz-col-12" data-dependency='{"id":"is_notification_webhook_<?php echo esc_attr( $id ); ?>","value":true,"compare":"="}'>
                                                        <a href="#" class="rz-button rz-small" data-action="trigger-webhook" data-for="<?php echo sprintf('notification_webhook_url_%s', $id ); ?>">
                                                            <span><?php esc_html_e( 'Trigger webhook', 'routiz' ); ?></span>
                                                            <?php echo Rz()->preloader(); ?>
                                                        </a>
                                                    </div>

                                                    <?php

                                                    $active = true;

                                                ?>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                </div>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>

                    </aside>

                </section>

                <section class="rz-sections" :class="{'rz-none': tabMain !== 'listings'}">

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'taxonomies'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Taxonomies', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form->render([
                                        'type' => 'repeater',
                                        'id' => 'custom_taxonomies',
                                        'name' => esc_html__('Custom Taxonomies', 'routiz'),
                                        'button' => [
                                            'label' => esc_html__('Add Taxonomy', 'routiz')
                                        ],
                                        'templates' => [

                                            /*
                                             * custom taxonomy
                                             *
                                             */
                                            'text' => [
                                                'name' => 'Taxonomy',
                                                'heading' => 'name',
                                                'fields' => [
                                                    'name' => [
                                                        'type' => 'text',
                                                        'name' => esc_html__( 'Name', 'routiz' ),
                                                        'placeholder' => esc_html__( 'Amenities', 'routiz' ),
                                                        'col' => 6
                                                    ],
                                                    'slug' => [
                                                        'type' => 'key',
                                                        'name' => esc_html__( 'Taxonomy Slug', 'routiz' ),
                                                        'placeholder' => 'amenities',
                                                        'defined' => false,
                                                        'col' => 6
                                                    ],
                                                ]
                                            ],

                                        ]
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'social'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Social', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form->render([
                                        'type' => 'checkbox',
                                        'id' => 'enable_share',
                                        'name' => esc_html__('Enable Listing Sharing', 'routiz'),
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'submission'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Submission', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form->render([
                                        'type' => 'checkbox',
                                        'id' => 'enable_submission_listing_counter',
                                        'name' => esc_html__('Enable Submission Listing Counter?', 'routiz'),
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'booking'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Booking', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form->render([
                                        'type' => 'checkbox',
                                        'id' => 'is_pending_booking_expiration',
                                        'name' => esc_html__('Enable Pending Booking Expiration', 'routiz'),
                                        'description' => esc_html__('Check this option if you want to add expiration days for pending booking dates', 'routiz'),
                                    ]);

                                    $form->render([
                                        'type' => 'number',
                                        'id' => 'pending_booking_expiration_days',
                                        'name' => esc_html__('Pending Booking Expiration in Days', 'routiz'),
                                        'min' => 1,
                                        'max' => 30,
                                        'step' => 1,
                                        'dependency' => [
                                            'id' => 'is_pending_booking_expiration',
                                            'value' => 1,
                                            'compare' => '=',
                                        ],
                                    ]);

                                    $form->render([
                                        'type' => 'number',
                                        'id' => 'days_booking_pending_payment',
                                        'name' => esc_html__( 'After how many hours a reservation would be canceled?', 'routiz' ),
                                        'description' => esc_html__( 'Insert the number of hours a pending reservation must be canceled if the customer does not make the payment after the listing author has confirmed the availability.', 'routiz' ),
                                        'min' => 1,
                                        'max' => 168,
                                        'step' => 1,
                                        'value' => 24,
                                        'placeholder' => 24,
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                </section>

                <section class="rz-sections" :class="{'rz-none': tabMain !== 'explore'}">

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'general'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Explore', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    // $form->render([
                                    //     'type' => 'listing-types',
                                    //     'id' => 'main_listing_type',
                                    //     'name' => esc_html__('Select your main listing type', 'routiz'),
                                    //     'description' => esc_html__('The main listing type will be the one you search if no listing type was selected', 'routiz'),
                                    //     'allow_empty' => false,
                                    //     'return_ids' => true
                                    // ]);

                                    $form->render([
                                        'type' => 'select',
                                        'id' => 'global_explore_type',
                                        'name' => esc_html__('Global Explore Page Type', 'routiz'),
                                        'options' => [
                                            'map' => esc_html__('Map', 'routiz'),
                                            'full' => esc_html__('Full-width, no map', 'routiz'),
                                        ],
                                        'allow_empty' => false
                                    ]);

                                    /*$form->render([
                                        'type' => 'select',
                                        'id' => 'global_explore_style',
                                        'name' => esc_html__('Global Explore Page Style', 'routiz'),
                                        'options' => [
                                            '1_3' => esc_html__('1/3 map', 'routiz'),
                                            '1_2' => esc_html__('1/2 map', 'routiz'),
                                        ],
                                        'allow_empty' => false
                                    ]);*/

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'global_map_lat',
                                        'name' => esc_html__('Default Map Latitude Coordinates', 'routiz'),
                                        'col' => 6,
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'global_map_lng',
                                        'name' => esc_html__('Default Map Longitude Coordinates', 'routiz'),
                                        'col' => 6,
                                    ]);

                                    $form->render([
                                        'type' => 'select',
                                        'id' => 'global_search_form',
                                        'name' => esc_html__( 'Global Search Form', 'routiz' ),
                                        'description' => esc_html__( 'Filters will appear when you explore the listing type.', 'routiz' ),
                                        'options' => [
                                            'query' => [
                                                'post_type' => 'rz_search_form',
                                                'posts_per_page' => -1,
                                            ]
                                        ],
                                    ]);

                                    $form->render([
                                        'type' => 'number',
                                        'id' => 'global_listings_per_page',
                                        'name' => esc_html__('Global Listings per Page', 'routiz'),
                                        'input_type' => 'stepper',
                                        'format' => '%s listings',
                                        'min' => 1,
                                        'max' => 50,
                                        'step' => 1,
                                        'value' => 10,
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'styles'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Styles', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form->render([
                                        'type' => 'radio_image',
                                        'id' => 'google_map_style',
                                        'name' => esc_html__( 'Google Map Style', 'routiz' ),
                                        'description' => __( 'Add your personal touch by customizing the map. You can use our pre-defined map styles or click "Custom" to apply your own JavaScript style array.', 'routiz' ),
                                        'value' => 'image_1',
                                        'options' => [
                                            'default' => [
                                                'label' => esc_html__( 'Default', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/default.png',
                                            ],
                                            'lost-in-the-desert' => [
                                                'label' => esc_html__( 'Lost in the Desert', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/lost-in-the-desert.png',
                                            ],
                                            'blue-essense' => [
                                                'label' => esc_html__( 'Blue Essense', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/blue-essense.png',
                                            ],
                                            'ultra-light-with-labels' => [
                                                'label' => esc_html__( 'Ultra Light with Labels', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/ultra-light-with-labels.png',
                                            ],
                                            'xxxxxx' => [
                                                'label' => esc_html__( 'Xxxxxx', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/xxxxxx.png',
                                            ],
                                            'shades-of-grey' => [
                                                'label' => esc_html__( '38 Shades of Grey', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/shades-of-grey.png',
                                            ],
                                            'modest' => [
                                                'label' => esc_html__( 'Modest', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/modest.png',
                                            ],
                                            'light-dream' => [
                                                'label' => esc_html__( 'Light Dream', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/light-dream.png',
                                            ],
                                            'apple-maps-esque' => [
                                                'label' => esc_html__( 'Apple Maps Esque', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/apple-maps-esque.png',
                                            ],
                                            'multi-brand-network' => [
                                                'label' => esc_html__( 'Multi Brand Network', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/multi-brand-network.png',
                                            ],
                                            'light-and-dark' => [
                                                'label' => esc_html__( 'Light and Dark', 'routiz' ),
                                                'image' => RZ_URI . 'assets/dist/images/admin/map-styles/light-and-dark.png',
                                            ],
                                            'custom' => [
                                                'label' => esc_html__( 'Custom', 'routiz' ),
                                                'image' => '<div class="rz--label"><i class="rz-map-style-label rz--map-custom"><em class="fas fa-map-marker-alt"></em></i></div>',
                                            ],
                                        ],
                                    ]);

                                    $form->render([
                                        'type' => 'textarea',
                                        'id' => 'google_map_style_custom',
                                        'name' => esc_html__('Custom Map Styles', 'routiz'),
                                        'description' => __('Insert your map style here. Customize colors, roads, labels and more. You can browse ready to use map styles <a target="_blank" href="https://snazzymaps.com/">here</a>. Just copy the JavaScript style array.', 'routiz'),
                                        'options' => [
                                            'query' => [
                                                'post_type' => 'page',
                                                'posts_per_page' => -1,
                                            ]
                                        ],
                                        'dependency' => [
                                            'id' => 'google_map_style',
                                            'value' => 'custom',
                                            'compare' => '=',
                                        ],
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                </section>

                <section class="rz-sections" :class="{'rz-none': tabMain !== 'integration'}">

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'maps'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Maps', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">
                                <?php

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'google_api_key',
                                        'name' => esc_html__('Google Map Api Key', 'routiz'),
                                        'description' => __('To use the Maps JavaScript API you must have an API key. The API key is a unique identifier that is used to authenticate requests associated with your project for usage and billing purposes. Get one <a href="https://developers.google.com/maps/documentation/javascript/get-api-key" target="_blank">here</a>.', 'routiz'),
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                    <aside class="rz-section rz-section-large" :class="{'rz-none': tabSub !== 'auth'}">
                        <div class="rz-panel-heading">
                            <h3 class="rz-title"><?php esc_html_e( 'Authentication', 'routiz' ); ?></h3>
                        </div>
                        <div class="rz-form">
                            <div class="rz-grid">

                                <?php if( ! get_option( 'users_can_register' ) ): ?>
                                    <div class="rz-form-group rz-col-12">
                                        <div class="rz-notice rz-notice-alert">
                                            <?php esc_html_e( 'User registration is disable for the current site. You can enable it from the WordPress settings', 'routiz' ); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <?php

                                    $form->render([
                                        'type' => 'checkbox',
                                        'id' => 'enable_standard_pass',
                                        'name' => esc_html__('Enable Standard Sign up Password Input', 'routiz'),
                                        'description' => esc_html__('Enable the option and allow your visitors to set their own password in the sign up process', 'routiz'),
                                    ]);

                                    $form->render([
                                        'type' => 'checkbox',
                                        'id' => 'enable_standard_role',
                                        'name' => esc_html__('Enable Standard Sign up Role Input', 'routiz'),
                                        'description' => esc_html__('Enable the option and allow your visitors to set their role', 'routiz'),
                                    ]);

                                    $form->render([
                                        'type' => 'select',
                                        'id' => 'default_user_role',
                                        'name' => esc_html__('Default User Role', 'routiz'),
                                        'options' => [
                                            'customer' => esc_html__('Customer', 'routiz'),
                                            'business' => esc_html__('Business', 'routiz'),
                                        ],
                                        'value' => 'user',
                                        'allow_empty' => false,
                                        'dependency' => [
                                            'id' => 'enable_standard_role',
                                            'value' => 1,
                                            'compare' => '!=',
                                            'style' => 'rz-opacity-30',
                                        ],
                                    ]);

                                    $form->render([
                                        'type' => 'separator',
                                    ]);

                                    $form->render([
                                        'type' => 'checkbox',
                                        'id' => 'enable_facebook_auth',
                                        'name' => esc_html__('Enable Facebook Sign In', 'routiz'),
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'facebook_app_id',
                                        'name' => esc_html__('Facebook Api ID', 'routiz'),
                                        'dependency' => [
                                            'id' => 'enable_facebook_auth',
                                            'value' => 1,
                                            'compare' => '=',
                                            'style' => 'rz-opacity-30',
                                        ],
                                        'col' => 6
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'facebook_app_secret',
                                        'name' => esc_html__('Facebook Api Secret', 'routiz'),
                                        'dependency' => [
                                            'id' => 'enable_facebook_auth',
                                            'value' => 1,
                                            'compare' => '=',
                                            'style' => 'rz-opacity-30',
                                        ],
                                        'col' => 6
                                    ]);

                                    $form->render([
                                        'type' => 'separator',
                                    ]);

                                    $form->render([
                                        'type' => 'checkbox',
                                        'id' => 'enable_google_auth',
                                        'name' => esc_html__('Enable Google Sign In', 'routiz'),
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'google_client_id',
                                        'name' => esc_html__('Google Client ID', 'routiz'),
                                        'dependency' => [
                                            'id' => 'enable_google_auth',
                                            'value' => 1,
                                            'compare' => '=',
                                            'style' => 'rz-opacity-30',
                                        ],
                                        'col' => 6
                                    ]);

                                    $form->render([
                                        'type' => 'text',
                                        'id' => 'google_client_secret',
                                        'name' => esc_html__('Google Client Secret', 'routiz'),
                                        'dependency' => [
                                            'id' => 'enable_google_auth',
                                            'value' => 1,
                                            'compare' => '=',
                                            'style' => 'rz-opacity-30',
                                        ],
                                        'col' => 6
                                    ]);

                                ?>

                                <div class="rz-form-group rz-col-12 rz-text-center rz-mt-3">
                                    <button type="submit" class="rz-button rz-large">
                                        <span><?php esc_html_e( 'Save Changes', 'routiz' ); ?></span>
                                    </button>
                                </div>

                            </div>
                        </div>
                    </aside>

                </section>

            </div>
        </div>

    </form>
</div>
