<?php
    $enable_google_auth = get_option('rz_enable_google_auth');
    $enable_facebook_auth = get_option('rz_enable_facebook_auth');
    $enable_standard_role = get_option('rz_enable_standard_role');
?>

<?php if( get_option( 'users_can_register' ) ): ?>
    <div class="rz-signin-tabs">
        <ul>
            <li class="rz-active" data-for="sign-in" data-label="<?php esc_html_e( 'Sign in', 'routiz' ); ?>"><a href="#"><?php esc_html_e( 'Sign in', 'routiz' ); ?></a></li>
            <li data-for="create-account" data-label="<?php esc_html_e( 'Create account', 'routiz' ); ?>"><a href="#"><?php esc_html_e( 'Create account', 'routiz' ); ?></a></li>
        </ul>
    </div>
<?php endif; ?>

<form class="rz-form rz-signin-section rz-active" data-id="sign-in" autocomplete="nope">

    <?php if( get_option( 'users_can_register' ) ): ?>
        <?php if( $enable_google_auth or $enable_facebook_auth ): ?>

            <div class="rz-signin-social">
                <ul>
                    <?php if( $enable_google_auth ): ?>
                        <li>
                            <a href="#" class="rz-button rz--gg" data-action="sign-in-google" id="rz-sign-in-google">
                                <span><?php esc_html_e( 'Continue with Google', 'routiz' ); ?></span>
                                <?php Rz()->preloader(); ?>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if( $enable_facebook_auth ): ?>
                        <li>
                            <a href="#" class="rz-button rz--fb" data-action="sign-in-facebook">
                                <span><?php esc_html_e( 'Continue with Facebook', 'routiz' ); ?></span>
                                <?php Rz()->preloader(); ?>
                            </a>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>

            <div class="rz-signin-or">
                <span><?php esc_html_e( 'OR', 'routiz' ); ?></span>
            </div>

        <?php endif; ?>
    <?php endif; ?>

    <div class="rz-grid">
        <!-- fix browser autocomplete -->
        <div style="position:absolute;z-index:-1;opacity:0;">
            <input type="text" name="username">
            <input type="password" name="password">
        </div>
        <!-- // fix browser autocomplete -->
        <div class="rz-form-group rz-col-12">
            <input type="text" name="user_email" value="<?php echo esc_html( apply_filters('routiz/login/user_email', '' ) ); ?>" placeholder="<?php esc_html_e( 'Email', 'routiz' ); ?>">
        </div>
        <div class="rz-form-group rz-col-12">
            <input type="password" name="user_password" value="<?php echo esc_html( apply_filters('routiz/login/user_password', '' ) ); ?>" placeholder="<?php esc_html_e( 'Password', 'routiz' ); ?>">
        </div>
        <div class="rz-form-group rz-inline-group rz-col-12">
            <button type="submit" name="" class="rz-button rz-button-accent rz-block rz-w-100 rz-modal-button">
                <span><?php esc_html_e( 'Sign in', 'routiz' ); ?></span>
                <?php Rz()->preloader(); ?>
            </button>
        </div>
        <div class="rz-signin-errors">
            <!-- output -->
        </div>
        <div class="rz-form-group rz-col-12 rz-text-center">
            <p class="rz-mb-0">
                <a href="#" data-for="reset-password" class="rz-lost-pass-link" data-label="<?php esc_html_e( 'Reset password', 'routiz' ); ?>">
                    <i class="fas fa-unlock rz-mr-1"></i><?php esc_html_e( 'Lost your password?', 'routiz' ); ?>
                </a>
            </p>
        </div>
    </div>
</form>

<?php if( get_option( 'users_can_register' ) ): ?>
    <form class="rz-form rz-signin-section" data-id="create-account">

        <input type="submit" name="" value="" class="rz-none">

        <?php if( $enable_standard_role ): ?>
            <div class="rz-standard-role">
                <input type="hidden" name="role" value="customer">
                <ul class="rz-no-select">
                    <li>
                        <a href="#" data-role="customer">
                            <img src="<?php echo RZ_URI; ?>assets/dist/images/signup/group.svg" alt="">
                            <span><?php esc_html_e( 'Customer', 'routiz' ); ?></span>
                        </a>
                    </li>
                    <li>
                        <a href="#" data-role="business">
                            <img src="<?php echo RZ_URI; ?>assets/dist/images/signup/woman.svg" alt="">
                            <span><?php esc_html_e( 'Business', 'routiz' ); ?></span>
                        </a>
                    </li>
                </ul>
            </div>
        <?php endif; ?>

        <div class="rz-signin-container<?php if( $enable_standard_role ) { echo ' rz-none'; } ?>">
            <div class="rz-signin-social">
                <ul>
                    <?php if( $enable_google_auth ): ?>
                        <li>
                            <a href="#" class="rz-button rz--gg" data-action="sign-in-google" id="rz-sign-in-google">
                                <span><?php esc_html_e( 'Continue with Google', 'routiz' ); ?></span>
                                <?php Rz()->preloader(); ?>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if( $enable_facebook_auth ): ?>
                        <li>
                            <a href="#" class="rz-button rz--fb" data-action="sign-in-facebook">
                                <span><?php esc_html_e( 'Continue with Facebook', 'routiz' ); ?></span>
                                <?php Rz()->preloader(); ?>
                            </a>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>

            <div class="rz-signin-or">
                <span><?php esc_html_e( 'OR', 'routiz' ); ?></span>
            </div>

            <div class="rz-grid">
                <div class="rz-form-group rz-col-12">
                    <input type="text" name="email" value="" placeholder="<?php esc_html_e( 'Email', 'routiz' ); ?>">
                </div>
                <div class="rz-form-group rz-col-6 rz-col-sm-12">
                    <input type="text" name="first_name" value="" placeholder="<?php esc_html_e( 'First name', 'routiz' ); ?>">
                </div>
                <div class="rz-form-group rz-col-6 rz-col-sm-12">
                    <input type="text" name="last_name" value="" placeholder="<?php esc_html_e( 'Last name', 'routiz' ); ?>">
                </div>
                <?php if( get_option('rz_enable_standard_pass') ): ?>
                    <div class="rz-form-group rz-col-6 rz-col-sm-12">
                        <input type="password" name="password" value="" placeholder="<?php esc_html_e( 'Password', 'routiz' ); ?>">
                    </div>
                    <div class="rz-form-group rz-col-6 rz-col-sm-12">
                        <input type="password" name="repeat_password" value="" placeholder="<?php esc_html_e( 'Repeat password', 'routiz' ); ?>">
                    </div>
                <?php endif; ?>
                <div class="rz-form-group rz-inline-group rz-col-12">
                    <button type="submit" name="" class="rz-button rz-button-accent rz-block rz-w-100 rz-modal-button">
                        <span><?php esc_html_e( 'Create account', 'routiz' ); ?></span>
                        <?php Rz()->preloader(); ?>
                    </button>
                </div>
                <div class="rz-signin-errors">
                    <!-- output -->
                </div>
                <div class="rz-signin-success">
                    <?php esc_html_e( 'Your account has been created. Please check your email for more details.', 'routiz' ); ?>
                </div>
                <?php if( ! get_option('rz_enable_standard_pass') ): ?>
                <div class="rz-form-group rz-col-12 rz-text-center">
                    <p class="rz-mb-0"><?php esc_html_e( 'A password will be e-mailed to you', 'routiz' ); ?></p>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </form>
<?php endif; ?>

<form class="rz-form rz-signin-section" data-id="reset-password">
    <input type="submit" name="" value="" class="rz-none">
    <div class="rz-grid">
        <div class="rz-form-group rz-col-12">
            <p><?php esc_html_e( 'Please enter your email address. You will receive a link to create a new password via email.', 'routiz' ); ?></p>
            <input type="text" name="email" value="" placeholder="<?php esc_html_e( 'Email', 'routiz' ); ?>">
        </div>
        <div class="rz-form-group rz-inline-group rz-col-12">
            <button type="submit" name="" class="rz-button rz-button-accent rz-block rz-w-100 rz-modal-button">
                <span><?php esc_html_e( 'Reset password', 'routiz' ); ?></span>
                <?php Rz()->preloader(); ?>
            </button>
        </div>
        <div class="rz-signin-errors">
            <!-- output -->
        </div>
        <div class="rz-signin-success">
            <?php esc_html_e( 'Please check your email for more details.', 'routiz' ); ?>
        </div>
    </div>
</form>
